Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.sequence.complex
Class WeakModificationSetFactory

    java.lang.Object
      |
      +--uk.ac.man.bioinf.sequence.complex.WeakModificationSetFactory

All Implemented Interfaces:
  ModificationSetFactoryInterface

public class WeakModificationSetFactory
extends Object
implements ModificationSetFactoryInterface

WeakModificationSetFactory.java Created: Wed Mar 1 15:09:49 2000

Version:
  $Id: WeakModificationSetFactory.java,v 1.3 2001/04/11 17:04:43 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`WeakModificationSetFactory()`

Method Summary
`uk.ac.man.bioinf.sequence.complex.ModificationSet` | `getModificationSet()`
`uk.ac.man.bioinf.sequence.complex.ModificationSet` | `getModificationSet(Modification modification)`
`uk.ac.man.bioinf.sequence.complex.ModificationSet` | `getModificationSet(Modification[] modifications)`
`uk.ac.man.bioinf.sequence.complex.ModificationSet` | `getModificationSet(Modification[] modifications, Modification modification)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WeakModificationSetFactory

    public WeakModificationSetFactory()

Method Detail

### getModificationSet

    public uk.ac.man.bioinf.sequence.complex.ModificationSet getModificationSet()

  Specified by:
    `getModificationSet` in interface `ModificationSetFactoryInterface`

### getModificationSet

    public uk.ac.man.bioinf.sequence.complex.ModificationSet getModificationSet(Modification modification)

  Specified by:
    `getModificationSet` in interface `ModificationSetFactoryInterface`

### getModificationSet

    public uk.ac.man.bioinf.sequence.complex.ModificationSet getModificationSet(Modification[] modifications)

  Specified by:
    `getModificationSet` in interface `ModificationSetFactoryInterface`

### getModificationSet

    public uk.ac.man.bioinf.sequence.complex.ModificationSet getModificationSet(Modification[] modifications,
                                                                                Modification modification)

  Specified by:
    `getModificationSet` in interface `ModificationSetFactoryInterface`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD